PulseAudio 16.1

Functions
direction.h File Reference

Utility functions for pa_direction_t. More...

Go to the source code of this file.

## Functions
int | pa_direction_valid (pa_direction_t direction) PA_GCC_CONST
| Return non-zero if the given value is a valid direction (either input, output or bidirectional). More...
const char * | pa_direction_to_string (pa_direction_t direction)
| Return a textual representation of the direction. More...

## Detailed Description

Utility functions for pa_direction_t.

## Function Documentation

## ◆ pa_direction_to_string()

const char * pa_direction_to_string | ( | pa_direction_t | direction | ) |

Return a textual representation of the direction.

Since
  6.0

## ◆ pa_direction_valid()

int pa_direction_valid | ( | pa_direction_t | direction | ) |

Return non-zero if the given value is a valid direction (either input, output or bidirectional).

Since
  6.0